package org.springblade.modules.external.ycbigdata.community.wrapper;

import org.springblade.community.accessrecord.entity.AccessRecord;
import org.springblade.community.agency.entity.Agency;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.external.ycbigdata.community.vo.AccessRecordVO;
import org.springblade.modules.external.ycbigdata.community.vo.AgencyVO;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class AccessRecordWrapper extends BaseEntityWrapper<AccessRecord, AccessRecordVO> {


	public static AccessRecordWrapper build(){
		return new AccessRecordWrapper();
	}
	@Override
	public AccessRecordVO entityVO(AccessRecord accessRecord) {

		AccessRecordVO accessRecordVO = Objects.requireNonNull(BeanUtil.copy(accessRecord,AccessRecordVO.class));
		return accessRecordVO;
	}
}
